<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.BackupHandler Property
DatabaseEnvironment Class See Also Send Feedback

Sets the IBackup interface to be used when performing hot backups.

This interface is used to override the default behavior used by the Backup(String, BackupOptions) and BackupDatabase(String, String, Boolean) methods.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public IBackup BackupHandler { get; set; }

Visual Basic (Declaration)

    Public Property BackupHandler As IBackup

Visual C++

    public:
    property IBackup^ BackupHandler {
    	IBackup^ get ();
    	void set (IBackup^ value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace